Ethiack Docs
Findings

List Findings

GET
/v1/findings/

Fetches a list of findings accessible to the authenticated user.

AuthorizationBasic <token>

Go to https://portal.ethiack.com/settings/api and generate your API keys. Simply use username=key, password=secret.

In: header

Query Parameters

finding_id?integer

Filter findings by ID

event_slug?string

Filter findings by associated event slug

organization_id?string

Filter findings by organization ID

asset_id?string

Filter findings by asset ID

page?integer

Page number

per_page?integer

Number of findings per page

Response Body

application/json

application/json

application/json

curl -X GET "https://api.ethiack.com/v1/findings/"
{
  "findings": [
    {
      "id": 0,
      "title": "string",
      "md": null,
      "html": null,
      "asset_id": null,
      "asset_value": "string",
      "status": 0,
      "previous_status": null,
      "requested_score": null,
      "event_id": null,
      "severity": "none",
      "priority": 0,
      "score": null,
      "cve": null,
      "cvss_vector": null,
      "created": "2019-08-24T14:15:22Z"
    }
  ]
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}